<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{task.name}}</title>
</head>
<body>
    <header>
        <nav>
            <ul>
        {% if user.is_authenticated %}
            Hello, {{user.username}}
            <li><a href = "{% url "show_my_tasks" %}">My tasks</a></li>
            <li><a href = "{% url "list_projects" %}">My projects</a></li>
            <li><a href = "{% url "logout" %}">Logout</a></li>
        {% else %}
            <li><a href = "{% url "login" %}">Login</a></li>
            <li><a href = "{% url "signup" %}">Signup</a></li>
        {% endif %}
            </ul>
        </nav>
    </header>
    <div>
        <h1>{{project_detail.name}}</h1>
        <p>{{project_detail.description}}</p>
        <h2>Tasks</h2>
        <p><a href="{% url "create_task"%}">Create a new task</a></p>
        {% if project_detail.tasks.all|length > 0 %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Assignee</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                    </tr>
                </thead>
                <tbody>
                    {% for task in project_detail.tasks.all %}
                        <tr>
                            <td>{{task.name}}</td>
                            <td>{{task.assignee}}</td>
                            <td>{{task.start_date}}</td>
                            <td>{{task.due_date}}</td>
                            <td>{{task.is_completed|yesno:"Yes,No"}}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% else %}
            <p>This project has no tasks</p>
        {% endif %}
    </div>
</body>
</html>